- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
KEYPath.cpp File Reference
`#include <cassert>`
`#include <utility>`
`#include <boost/bind.hpp>`
`#include <boost/ref.hpp>`
`#include <boost/spirit/include/classic_core.hpp>`
`#include "libetonyek_utils.h"`
`#include "KEYPath.h"`
`#include "KEYTransformation.h"`
`#include "KEYTypes.h"`

## Classes
class | libetonyek::KEYPath::Element
| An element of path. More...

## Namespaces
| libetonyek

## Functions
bool | libetonyek::approxEqual (const KEYPath &left, const KEYPath &right, const double eps)
bool | libetonyek::operator== (const KEYPath &left, const KEYPath &right)
bool | libetonyek::operator!= (const KEYPath &left, const KEYPath &right)
KEYPath | libetonyek::operator* (const KEYPath &path, const KEYTransformation &tr)
| Create a transformed path. More...

## Variable Documentation

double m_x

double m_x1

double m_x2

double m_y

double m_y1

double m_y2